<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OXFkType StructType
 * @subpackage Structs
 */
class OXFkType extends AbstractStructBase
{
    /**
     * The skip
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $skip;
    /**
     * The first
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $first;
    /**
     * Constructor method for OXFkType
     * @uses OXFkType::setSkip()
     * @uses OXFkType::setFirst()
     * @param int $skip
     * @param int $first
     */
    public function __construct($skip = null, $first = null)
    {
        $this
            ->setSkip($skip)
            ->setFirst($first);
    }
    /**
     * Get skip value
     * @return int|null
     */
    public function getSkip()
    {
        return $this->skip;
    }
    /**
     * Set skip value
     * @param int $skip
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\OXFkType
     */
    public function setSkip($skip = null)
    {
        $this->skip = $skip;
        return $this;
    }
    /**
     * Get first value
     * @return int|null
     */
    public function getFirst()
    {
        return $this->first;
    }
    /**
     * Set first value
     * @param int $first
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\OXFkType
     */
    public function setFirst($first = null)
    {
        $this->first = $first;
        return $this;
    }
}
